%define api_version 2.1
%define pkg_name geronimo-jaxws_%{api_version}_spec

Name:          geronimo-jaxws-2.1-api
Version:       1.0
Release:       %mkrel 1
Summary:       Apache Geronimo JAX-WS 2.1 API
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jaxws_2.1_spec-1.0
# tar czf geronimo-jaxws_2.1_spec-1.0-src-svn.tar.gz geronimo-jaxws_2.1_spec-1.0
Source0:       geronimo-jaxws_2.1_spec-1.0-src-svn.tar.gz
Patch0:        geronimo-jaxws-2.1-api-1.0-use_parent_pom.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-jaf-1_1-api
BuildRequires: geronimo-parent-poms
BuildRequires: geronimo-saaj-1_3-api
BuildRequires: geronimo-stax-1.0-api
BuildRequires: glassfish-stax-api
BuildRequires: glassfish-jaxb-api

BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin

Requires:      geronimo-jaf-1_1-api
Requires:      geronimo-parent-poms
Requires:      geronimo-saaj-1_3-api
Requires:      geronimo-stax-1.0-api
Requires:      glassfish-stax-api
Requires:      glassfish-jaxb-api

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch


%description
Apache Geronimo JAX-WS 2.1 API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jaxws-%{api_version}-api.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jaxws-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jaxws-%{api_version}-api.pom geronimo-jaxws-%{api_version}-api.jar
%add_to_maven_depmap javax.xml.ws jaxws-api %{api_version}-1 JPP geronimo-jaxws-%{api_version}-api

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jaxws-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jaxws-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jaxws-2.1-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/geronimo-jaxws-%{api_version}-api


%changelog

* Mon Nov 14 2011 gil <gil> 1.0-1.mga2
+ Revision: 167538
- imported package geronimo-jaxws-2.1-api

